package com.ruoyi.system.domain_shate;

 
import java.time.LocalDateTime;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/7 9:36
 */

public class PlantingSuitability extends  SysSTEntity
{
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    private Integer id;


    private String zone;


    private Double verySuitable;

    private Double suitable;

    private Double notSuitable;

    private Double totalArea;

    private String imageDate;

    private  String total;

    private  Double max;

    private String productCode1;


    private String productCode2;


    private String productCode3;


    private String createdBy;

    private  String year;

    private LocalDateTime createdTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Double getVerySuitable() {
        return verySuitable;
    }

    public void setVerySuitable(Double verySuitable) {
        this.verySuitable = verySuitable;
    }

    public Double getSuitable() {
        return suitable;
    }

    public void setSuitable(Double suitable) {
        this.suitable = suitable;
    }

    public Double getNotSuitable() {
        return notSuitable;
    }

    public void setNotSuitable(Double notSuitable) {
        this.notSuitable = notSuitable;
    }

    public Double getTotalArea() {
        return totalArea;
    }

    public void setTotalArea(Double totalArea) {
        this.totalArea = totalArea;
    }

    public String getImageDate() {
        return imageDate;
    }

    public void setImageDate(String imageDate) {
        this.imageDate = imageDate;
    }

    public String getProductCode1() {
        return productCode1;
    }

    public void setProductCode1(String productCode1) {
        this.productCode1 = productCode1;
    }

    public String getProductCode2() {
        return productCode2;
    }

    public void setProductCode2(String productCode2) {
        this.productCode2 = productCode2;
    }

    public String getProductCode3() {
        return productCode3;
    }

    public void setProductCode3(String productCode3) {
        this.productCode3 = productCode3;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(LocalDateTime createdTime) {
        this.createdTime = createdTime;
    }

    @Override
    public String toString() {
        return "PlantingSuitability{" +
                "id=" + id +
                ", zone='" + zone + '\'' +
                ", verySuitable=" + verySuitable +
                ", suitable=" + suitable +
                ", notSuitable=" + notSuitable +
                ", totalArea=" + totalArea +
                ", imageDate=" + imageDate +
                ", productCode1='" + productCode1 + '\'' +
                ", productCode2='" + productCode2 + '\'' +
                ", productCode3='" + productCode3 + '\'' +
                ", createdBy='" + createdBy + '\'' +
                ", createdTime=" + createdTime +
                '}';
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public Double getMax() {
        return max;
    }

    public void setMax(Double max) {
        this.max = max;
    }
}
